package tutorial;

import net.sf.ehcache.*;

public class Ehcache {
  private CacheManager cacheManager = CacheManager.create("resources/ehcache.xml");
  private Cache cacheShared;
  private Cache cacheUnshared;

  public Ehcache() {
    this.cacheShared = cacheManager.getCache("TestCacheShared");
    if (null == this.cacheShared) {
      Cache cache = new Cache("TestCacheShared", 1000, false, false, 120, 120);
      cacheManager.addCache(cache);
      this.cacheShared = cache;
    }
    
    this.cacheUnshared = cacheManager.getCache("TestCacheUnshared");
    if (null == this.cacheUnshared) {
      Cache cache = new Cache("TestCacheUnshared", 1000, false, false, 120, 120);
      cacheManager.addCache(cache);
      this.cacheUnshared = cache;
    }
  }

  public void doCache() {
    cacheShared.put(new Element(new java.util.Date(), System.currentTimeMillis()));
    for (Object key : cacheShared.getKeys()) {
      System.out.println("Shared : "+cacheShared.get(key));
    }
    System.out.println();
    cacheUnshared.put(new Element(new java.util.Date(), System.currentTimeMillis()));
    for (Object key : cacheUnshared.getKeys()) {
      System.out.println("Unshared : "+cacheUnshared.get(key));
    }
  }

  public static void main(String[] args) {
    new Ehcache().doCache();
  }
}